package com.bwie.common.domain;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @ProjectName: week3-1129
 * @PackageName: com.bwie.common.domain
 * @Description TODO
 * @Author LiYonJie
 * @Date 2023/11/29
 * @Version 1.0
 */
@Data
public class Scenic implements Serializable {
    /**
     * 景区主键
     */
    private Integer scenicId;
    /**
     * 景区名称
     */
    private String scenicName;
    /**
     * 景区介绍
     */
    private String introduction;
    /**
     * 票价
     */
    private BigDecimal fares;
    /**
     * 剩余票数
     */
    private Integer remainingVotes;
}
