package com.bwie.common.domain.request;

import lombok.Data;

import java.math.BigDecimal;

/**
 * @ProjectName: week3-1129
 * @PackageName: com.bwie.common.domain.request
 * @Description TODO
 * @Author LiYonJie
 * @Date 2023/11/29
 * @Version 1.0
 */
@Data
public class ScenicRequest {
    /**
     * 景区名称
     */
    private String scenicName;
    /**
     * 起始票价
     */
    private BigDecimal startFares;
    /**
     * 最高票价
     */
    private BigDecimal endFares;

    private Integer pageNum = 1;
    private Integer pageSize = 5;
}
