package com.bwie.scenic.mapper;

import com.bwie.common.domain.Scenic;
import com.bwie.common.domain.request.ScenicRequest;
import com.bwie.common.domain.response.ScenicResponse;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @ProjectName: week3-1129
 * @PackageName: com.bwie.scenic.mapper
 * @Description TODO
 * @Author LiYonJie
 * @Date 2023/11/29
 * @Version 1.0
 */
public interface ScenicMapper {
    /**
     * 景区列表
     * @param scenicRequest
     * @return
     */
    List<ScenicResponse> list(ScenicRequest scenicRequest);

    /**
     * 回显
     * @param scenicId
     * @return
     */
    Scenic findById(@Param("scenicId") Integer scenicId);

    /**
     * 景区剩余票数变更
     * @param scenic
     */
    void updateRemainingVotes(Scenic scenic);
}
