package com.bwie.scenic.service;

import com.bwie.common.domain.request.OrderRequest;
import com.bwie.common.domain.response.OrderResponse;

import java.util.List;

/**
 * @ProjectName: week3-1129
 * @PackageName: com.bwie.scenic.service
 * @Description TODO
 * @Author LiYonJie
 * @Date 2023/11/29
 * @Version 1.0
 */
public interface OrderService {
    /**
     * 购票
     * @param orderResponse
     */
    void buy(OrderResponse orderResponse);

    /**
     * 我的已购列表
     * @return
     */
    List<OrderResponse> list(OrderRequest orderRequest);

    /**
     * 退票
     * @param orderId
     */
    void refund(Integer orderId);
}
