package com.bwie.scenic.service;

import com.bwie.common.domain.Scenic;
import com.bwie.common.domain.request.ScenicRequest;
import com.bwie.common.domain.response.ScenicResponse;
import com.bwie.common.result.PageResult;
import com.bwie.common.result.Result;

/**
 * @ProjectName: week3-1129
 * @PackageName: com.bwie.scenic.service
 * @Description TODO
 * @Author LiYonJie
 * @Date 2023/11/29
 * @Version 1.0
 */
public interface ScenicService {
    /**
     * 景区分页列表
     * @param scenicRequest
     * @return
     */
    Result<PageResult<ScenicResponse>> list(ScenicRequest scenicRequest);

    /**
     * 回显
     * @param scenicId
     * @return
     */
    Scenic findById(Integer scenicId);

    /**
     * 景区剩余票数变更
     * @param scenic
     */
    void updateRemainingVotes(Scenic scenic);
}
