package com.bwie.auth.feign;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

/**
 * @ProjectName: week3-1129
 * @PackageName: com.bwie.auth.feign
 * @Description TODO
 * @Author LiYonJie
 * @Date 2023/11/29
 * @Version 1.0
 */
@FeignClient(name = "work-user")
public interface UserFeignService {
    @GetMapping("/findByName/{username}")
    public Result<User> findByName(@PathVariable("username") String username);
}
